OCLGRIND(1)

NAME
oclgrind - OpenCL device simulator and debugger

SYNOPSIS
oclgrind [OPTIONS] COMMAND

DESCRIPTION

    oclgrind [--help | --version]

OPTIONS

--build-options
    OPTIONS Additional options to pass to the OpenCL compiler

--check-api
    Report errors on API calls

--compute-units
    UNITS Change the number of compute units reported

--constant-mem-size BYTES
    Change the constant memory size of the device

--data-races
    Enable data-race detection

--disable-pch
    Don't use precompiled headers

--dump-spir
    Dump SPIR to /tmp/oclgrind_*.{ll,bc}

--global-mem-size
    BYTES Change the global memory size of the device

--help [-h]
    Display usage information

--inst-counts
    Output histograms of instructions executed

--interactive [-i]
    Enable interactive mode

--local-mem-size
    BYTES Change the local memory size of the device

--log
    LOGFILE Redirect log/error messages to a file

--max-errors
    NUM Limit the number of error/warning messages

--max-wgsize
    WGSIZE Change the maximum work-group size of the device

--num-threads
    NUM Set the number of worker threads to use

--pch-dir
    DIR Override directory containing precompiled headers

--plugins
    PLUGINS Load colon separated list of plugin libraries

--quick [-q]
    Only run first and last work-group

--uniform-writes
    Don't suppress uniform write-write data-races

--uninitialized
    Report usage of uninitialized values

--version [-v]
    Display version information

For more information, please visit the Oclgrind wiki page: -> https://github.com/jrprice/Oclgrind/wiki

Oclgrind 21.10

COPYRIGHT
Copyright © 2013-2019 James Price and Simon McIntosh-Smith, University of Bristol https://github.com/jrprice/Oclgrind

SEE ALSO
The full documentation for oclgrind is maintained as a Texinfo manual. If the info and oclgrind programs are properly installed at your site, the command

    info oclgrind

should give you access to the complete manual.